* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

:root {
    --blue: #287bff;
    --white: #fff;
    --grey: #f5f5f5;
    --black1: #222;
    --black2: #999;
    --aranysarga: goldenrod;
    --aranysargasotet: darkgoldenrod;
    --buttonhatter: blanchedalmond;
    --hatter: wheat;

}

body {
    min-height: 100vh;
    overflow-x: hidden;
}

body .container {
    position: relative;
    width: 100%;
    margin-left: -15px;
}

a {
    text-decoration: none;
}

.row {
    justify-content: center;
}

.navigation {
    position: fixed;
    width: 300px;
    height: 100%;
    background: var(--aranysarga);
    border-left: 10px solid var(--aranysarga);
    transition: 0.5s;
    overflow: auto;
    color: white;
    left: -300px;
}

.navigation.active {
    width: 80px;
    width: 300px;
    left: 0;
}

.navigation ul {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.navigation ul li {
    position: relative;
    width: 100%;
    list-style: none;
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
}

.navigation ul li:hover,
.navigation ul li.hovered {
    background: var(--white);
    color: var(--aranysargasotet);
}

.navigation ul li:nth-child(1) {
    margin-bottom: 30px;
    pointer-events: none;
}

.navigation ul li a {
    position: relative;
    display: block;
    width: 100%;
    display: flex;
    text-decoration: none;
    color: var(--white);
}

.navigation ul li:hover a,
.navigation ul li.hovered a {
    color: var(--aranysargasotet);
}

.navigation ul li a .icon {
    position: relative;
    display: block;
    min-width: 60px;
    height: 60px;
    line-height: 70px;
    text-align: center;
}

.navigation ul li a .icon ion-icon {
    font-size: 1.75em;
}

.navigation ul li a .title {
    position: relative;
    display: block;
    padding: 0 10px;
    height: 60px;
    line-height: 60px;
    text-align: start;
    white-space: nowrap;
    font-size: 18px;
    font-weight: 500;

}

.navigation ul li:hover a::before,
.navigation ul li.hovered a::before {
    content: '';
    position: absolute;
    right: 0;
    top: -50px;
    width: 50px;
    height: 50px;
    background: transparent;
    border-radius: 50%;
    box-shadow: 35px 35px 0 10px var(--white);
    pointer-events: none;
}

.navigation ul li:hover a::after,
.navigation ul li.hovered a::after {
    content: '';
    position: absolute;
    right: 0;
    bottom: -50px;
    width: 50px;
    height: 50px;
    background: transparent;
    border-radius: 50%;
    box-shadow: 35px -35px 0 10px var(--white);
    pointer-events: none;
}

.menusor {
    padding-top: 15px;
}

/* ------------------- MAIN - Oldalsó menüsor  ------------------ */
.main {
    position: absolute;
    width: calc(100% - 300px);
    left: 315px;
    min-height: 100vh;
    background: whitesmoke;
    transition: 0.5s;

    width: 100%;
    left: 15px;
}

.main.active {
    width: calc(100% - 80px);
    left: 95px;
    left: 315px;
}

.main.active .toggle {
    right: initial;
    left: 300px;
    transition: 0.5s;
}

.toggle {
    width: 60px;
    height: 60px;
  /*  background-color: inherit;  */
background-color: white;
    color: var(--aranysargasotet);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2.5em;
    cursor: pointer;
    top: 12px;
    position: fixed;
    right: initial;
    left: 0;
    z-index: 10001;
    transition: 0.5s;
}

.toggle ion-icon {
    border: 3px solid var(--aranysargasotet);
}

.ceg_logo {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}

.ceg_logo img {
    width: 65%;
}

/* ------------------- MAIN tartalma  ------------------ */

.landing-page {
    min-height: 100vh;
    background-image: url(./kepek/back2.jpg);
    background-size: cover;
    background-position: 0px 0px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}


.landing-page-mobil {
    min-height: 100vh;
    background-image: url(./kepek/back-mobil.jpg);
    background-size: cover;
    /* background-position: 0px 0px; */
    background-position: center;
    position: relative;
    display: flex;
    display: none;
    justify-content: center;
    align-items: center;
}

.termekek-page {
    min-height: 33vh;
    background-image: url(./kepek/termekek2.jpg);
    background-image: url(./kepek/bejarat2.jpg);
    /* background-image: url(./kepek/back2.jpg); */
    background-size: cover;
    background-position: center;
    /* position: relative;*/
    display: flex;
    justify-content: center;
    align-items: center;
}

.termek-page {
    min-height: 33vh;
    background-image: url(./kepek/termekek3.jpg);
    background-size: cover;
    background-position: center;
    /* position: relative;*/
    display: flex;
    justify-content: center;
    align-items: center;
}


.landing-page h1,
.landing-page-mobil h1 {
    color: rgb(255, 255, 255);
    position: absolute;
    transform: translateX(-13vw);
    font-size: 80px;
    text-align: center;
    font-family: "Prompt", sans-serif;
    animation-name: intro;
    animation-duration: 3.5s;
    text-shadow: 6px 6px 6px black;
    letter-spacing: 5px;
    font-weight: 600;
}

.termekek-page h1,
.termek-page h1 {
    color: rgb(255, 255, 255);
    position: absolute;
    transform: translateX(+20vw);
    font-size: 80px;
    text-align: center;
    font-family: "Prompt", sans-serif;
    animation-name: intro;
    animation-duration: 3.5s;
    text-shadow: 6px 10px 2px black;
    letter-spacing: 5px;
    font-weight: 600;
    text-transform: uppercase;
}

.landing-page small,
.landing-page-mobil small,
.termekek-page small,
.termek-page small {
    color: rgb(255, 255, 255);
    letter-spacing: normal;
    font-weight: normal;
}

.landing-page img,
.termekek-page img,
.termek-page img {
    position: absolute;
    width: 100%;
    bottom: 0px;
}

header {
    position: sticky;
    top: 0;
    z-index: 100;
    box-shadow: 0px 10px 30px white;
}

header img {
    height: 150px;
    box-shadow: 0px 10px 40px white;
    border-radius: 50%;
}

header nav {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
    padding: 5px 0px 5px 50px;
    /* background-color: rgb(255, 255, 255);*/
    font-size: 20px;
    animation: loadAnimation 2s;
}
/*
header nav span {
    width: 60%;
    padding-top: 15px;
    display: flex;
    justify-content: space-between;
    vertical-align: top;
}*/

header nav span a {
    text-decoration: none;
    position: relative;
    color: var(--aranysargasotet);
    /* Ha nem kell a fehér háttér vedd ki */
    background-color: white;
    padding: 8px 18px;
    border-radius: 20px;
    font-weight: 500;

}

.kosar {
    text-decoration: none;
    display: inline-block;
    position: relative;
    color: rgb(0, 0, 0);
    /* Ha nem kell a fehér háttér vedd ki */
    background-color: var(--aranysargasotet);
    padding: 6px 60px;
    border-radius: 5px;
    margin-top: 9px;
    transition-duration: 0.3s;
}

.kosar:hover {
    color: rgb(0, 0, 0);
    background-color: var(--aranysarga);
    transition-timing-function: ease-in-out;
    transition-duration: 0.3s;
}

.notification .badge {
    position: absolute;
    top: -10px;
    right: -10px;
    padding: 5px 10px;
    border-radius: 50%;
    background: red;
    color: white;
  }


header nav span a::before {
    content: "";
    background-color: darkgoldenrod;
    width: 80%;
    height: 3.5px;
    animation: beforeAnimation 1s;
    display: none;
    position: absolute;
    border-radius: 20px;
    bottom: 5px;
}

header nav span a:hover {
    text-decoration: none;
    color: darkgoldenrod;

}

header nav span a:hover::before {
    display: unset;
    animation-duration: 1s;
}

.kosarba {
    text-align: center;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.kosarba .material-icons {
font-size: 3.2rem;
color: var(--aranysarga);
padding: 0 10px;
}

.kosarba .darab {
    font-size: 2.2rem;
    color: var(--aranysarga);
    color: black;
    text-align: center;
    width: 70px;

    /* Nyilak eltüntetése - Webkit */
    -webkit-appearance: none;
    appearance: none; /* általános */
    -moz-appearance: textfield; /* Firefox */
    border-radius: 5px;
    }

.kosarba .darab::-webkit-outer-spin-button,
.kosarba .darab::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.alert {
    font-size: 2.3rem;
    text-align: center;
    padding: 3px;
    background-color: lightsalmon;
    border: 3px solid brown;
    font-style: italic;
}

/* ------------------- Kosár tartalma  ------------------ */
.height500 {
    min-height: 350px;
}
.kosar-tetelek {
    border: 2px solid var(--aranysargasotet);
    width: 90%;
}
.kosar-tartalma {
    background-color: whitesmoke;
    border: 2px solid var(--aranysargasotet);
    min-height: 33vh;
}

.kosar-tartalma h2 {
    text-align: left;
    margin-left: 3%;
    margin-top: 20px;
    font-weight: 800;
}

.kosar-tartalma-table {
    width: 94%;
    margin: 20px 3%;
   
}

.kosar-tartalma-table .right {
    text-align: right;
}

.kosar-tartalma a {
    text-align: center;
    width: 80%;
    margin-left: 10%;
}

/* ------------------- COOKIES tartalma  ------------------ */
.cookies {

    position: absolute;
    bottom: 0;
    max-width: 100%;
    width: 100%;
    /* Maximum width */
    margin: 0 auto;
    /* Center it */
}

.cookies .content {
    position: absolute;
    /* Position the background text */
    bottom: 0;
    /* At the bottom. Use top:0 to append it to the top */
    background: rgb(0, 0, 0);
    /* Fallback color */
    background: rgba(0, 0, 0, 0.5);
    /* Black background with 0.5 opacity */
    color: #f1f1f1;
    /* Grey text */
    width: 100%;
    /* Full width */
    padding: 8px;
    /* Some padding */
    text-align: center;
}



/* -------------------------- Cégleirás rész ABOUT ------------------ */

.about {
    padding: 0px 30px;
    /* min-height: 100vh;  */
    font-size: 20px;
}

.about h3 {
    padding-top: 5rem;
    padding-bottom: 2rem;
    font-size: 4rem;
    font-weight: bolder;
    color: goldenrod;
    letter-spacing: 5px;
    /*-webkit-box-reflect: below -12px linear-gradient(transparent, rgba(255,255,255,0.2));*/
}

.about p {
    padding: 25px 10px;
    color: rgb(63, 63, 63);
    font-weight: 500;
    text-align: justify;
}

.bg-white {
    background-color: whitesmoke;
}

/* -------------------------- BUTTON ------------------ */

.button-nagy {
    width: 60%;
    margin: auto;
    padding: 8px;
    background-color: var(--buttonhatter);
    border: 3px solid var(--aranysarga);
    border-radius: 50px;
    text-decoration: none;
    text-align: center;
}

.button-nagy h5 {
    color: var(--aranysarga);
    font-size: 3rem;
}

.button-nagy:hover {
    background: var(--aranysarga);
    border: 3px solid var(--aranysarga);
    transition-timing-function: ease-in-out;
    transition-duration: 0.7s;
    text-decoration: none;
}

.button-nagy:hover h5 {
    color: var(--white);

    transition-duration: 0.7s;
}


/* -------------------------- Küldetésünk és a Rólunk mondták ------------------ */
.media {
    display: table;
    padding: 0 20px;
}

.media-body {
    color: rgb(65, 65, 65);
    font-size: 1.5rem;
    text-align: justify;
}

.media-body h5 {
    font-size: 1.7rem;
    font-weight: bolder;
    color: rgb(50, 50, 50);
}

.blockquote p {
    font-size: 1.5rem;
    font-weight: bolder;
    color: rgb(50, 50, 50);
    padding: 30px 0 0 0;
}

.blockquote {
    border: 0;
}

.belso {
    border-left: 5px solid var(--aranysarga);
    border-right: 5px solid var(--aranysarga);
}

.blockquote-footer b,
.blockquote-footer cite {
    font-size: 1.7rem;
    font-weight: normal;
    color: gray;
}

.kiskep {
    height: 190px;
    border: 2px solid var(--aranysarga);
}

/* ----------------  Rolunk Userek ------------    */

.user {
    transition: transform 0.2s;
    /* Animation */
    background-color: rgb(255, 255, 255);
    /*margin: 30px 5%; */
    box-shadow: rgba(0, 0, 0, 0.8) 3px 3px 10px;
    transform: scale(1);
    transition: 1s;
    width: 31%;
    padding: 5px;
    margin: 20px auto;
}

.user-img {
    width: 100%;
    margin: 10px 0;
    transform: scale(1);
    transform: rotate(0deg);
    transition: 1s;
    z-index: 1000;
}


.fonok-img {
    float: left;
    width: 25%;
    margin: 30px 22px 3px 13px;
    border: 2px solid var(--aranysarga);
}

.rolunk-img {
    float: left;
    width: 40%;
    margin: 30px 22px 3px 13px;
    border: 2px solid var(--aranysarga);

}

.bolt-img {
    width: 20%;
    margin: 30px 22px 3px 13px;
    border: 2px solid var(--aranysarga);

}

/* ----------------  Termekek ------------    */

.termek-text {
    margin: 5px;
    font-size: 1.9rem;
    text-align: justify;
}


.termek-netto {
    margin: 5px;
    font-size: 1.9rem;
    text-align: center;
}

.termek-adat {
    margin: 5px;
    font-size: 1.6rem;
    color: darkgray;
}

.kozepre {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-around;
}

.padding-nulla {
    padding-left: 0;
    padding-right: 0;
}

.termek-img {
    height: 300px;
    margin: 10px 0;
    transform: scale(1);
    transform: rotate(0deg);
    transition: 1s;
    z-index: 1000;
}

.termek-img:hover {
    transform: scale(1.1);
    transform: rotate(6deg);
    transition: 0.6s;
}

.termek-body {
    height: 80%;
}

.progress-bar {
    background-color: rgb(153, 205, 51);
    color: black;
    margin-top: 5px;
    text-align: left;
}

.btn-termek {
    border: 2px solid var(--aranysarga);
    background-color: white;
    color: var(--aranysarga);
    text-decoration: none;
    text-align: center;
    width: 49%;
    padding: 3px 0;
    margin: 10px 0%;
    font-size: 20px;
    transition-duration: 1s;
}

.btn-termek-kosarba {
    border: 2px solid var(--aranysarga);
    color: white;
    background-color: var(--aranysarga);
    text-decoration: none;
    text-align: center;
    width: 49%;
    padding: 3px 0;
    margin: 10px 0%;
    font-size: 20px;
    transition-duration: 1s;
}

.btn-termek:hover {
    border: 2px solid var(--aranysarga);
    background-color: var(--aranysarga);
    color: white;
    text-decoration: none;
    transition-duration: 0.6s;
}

.btn-termek-kosarba:hover {
    border: 2px solid var(--aranysargasotet);
    background-color: var(--aranysargasotet);
    color: black;
    text-decoration: none;
    box-shadow: 5px 7px 18px var(--aranysargasotet);
    transition-duration: 0.6s;
}


.termek-title {
    background-color: var(--buttonhatter);
    padding: 12px 0;
    margin-top: 10px;
    font-size: 22px;
    font-weight: 700;
}

.text-ar {
    color: var(--aranysarga);
    font-size: 2rem;
}

.termek {
    transition: transform 0.2s;
    /* Animation */
    background-color: rgb(255, 255, 255);
    /*margin: 30px 5%; */
    box-shadow: rgba(0, 0, 0, 0.8) 3px 3px 10px;
    transform: scale(1);
    transition: 1s;
    width: 24%;
    padding: 5px;
    margin: 20px auto;
}

.termek:hover,
.user:hover {
    box-shadow: rgba(230, 115, 20, 0.8) 2px 2px 20px;
    transform: scale(1.03);
    transition: 0.6s;
}


/* ----------------  Egy termék ------------    */

.termek-fejlec {
    margin: 5px;
    font-size: 2rem;
    text-align: justify;
    color: var(--aranysarga);
}

.eladar {

    border: 2px solid var(--aranysarga);
    border-radius: 5rem;

}

.eladar h2 {
    color: var(--aranysarga);
    font-size: 5rem;
    text-align: center;
    font-weight: 700;
    padding: 10px;

}


.padding-nulla {
    padding-left: 0;
    padding-right: 0;
}

.egytermek {
    width: 98%;

}

.egytermek-img {
    /*  height: 1000px;*/
    width: 100%;
    margin: 10px 0;
}

.egytermek-adatok {
    display: inline;
}


.px960 {
    display: none;
}

/* ----------------  Gallery  ------------    */

#gallery {
    min-height: 700px;
    margin: 0;
    padding: 0;
    list-style: none;
}

#gallery li {
    width: 30%;
    float: left;
    margin: 1%;
    display: inline;
}

#gallery img {
    background: transparent;
    padding: 0;
    display: inline;
    margin-left: 1%;
    margin-right: 1%;
    margin-bottom: 15px;
    height: 300px;
    width: 100%;
    object-fit: cover;
    object-position: center center;
    float: left;
}

#gallery a {
    opacity: 0.8;
    transition: opacity 0.35s;
}

#gallery a:hover {
    opacity: 1;
}

#gallery span {
    display: block;
    margin-top: -100px;
    color: transparent;
    width: 100%;
    float: left;
    margin-left: 5px;
    padding-left: 5px;
    transition: background 0.3s, color 0.3s, margin 0.3s;
    font-size: x-large;
}

#gallery a:hover span {
    margin-top: -50px;
    background: rgba(218, 165, 32, 0.8);
    color: #ffffff;
}


/* ------------------------- IMPRESSZUM --------------------------------------- */

.impresszum {
    padding: 0px 40px;
    /* min-height: 100vh;  */
    font-size: 20px;
}

.impresszum h2 {
    padding-top: 3rem;
    padding-bottom: 2rem;
    font-size: 3rem;
    font-weight: bolder;
    color: var(--black1);
}

.impresszum p {
    padding: 0 0 0 20px;
    color: rgb(63, 63, 63);
}

.impresszum label {
    margin-bottom: 0;
}


/* ------------------------- FOOTER -------------------------------------------- */

.footer {
    width: 100%;
    background-color: #ddd;
    background-image: linear-gradient(to bottom,
            rgb(255, 255, 255),
            var(--aranysarga));
    border-top: 1px solid rgb(26, 37, 67);
    padding: 0;
}

.footer-container {
    max-width: 1600px;
    margin: 0 auto;
    ;
    padding: 0 5%;
}

.footer-col {
    width: 25%;
    padding: 0 15px;
}

.footer-col h4 {
    font-size: 1.7rem;
    color: rgb(26, 37, 67);
    margin-bottom: 30px;
    font-weight: 700;
    position: relative;
    cursor: pointer;
    text-transform: uppercase;
}

.footer-col h4::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -10px;
    background-color: var(--aranysarga);
    height: 5px;
    width: 130px;
    border-radius: 1em;
}

.footer-col a {
    color: rgb(26, 37, 67);
    font-size: 1.6rem;
    transition: 0.5s ease;
    text-decoration: none;
}

.footer-col a:hover:not(.socials a) {
    padding-left: 12px;
    letter-spacing: 1px;
    color: var(--black1);
    text-decoration: none;
}

.footer-col .socials {
    display: inline-block;
    font-size: 32px;
}

.footer-col .socials a {
    margin-left: 3px;
}

.footer-col .socials i:hover {
    transition: 0.3s ease;
    transform: scale(1.2) translateY(-5px);
}

.footer-col ul li:not(:last-child) {
    margin-bottom: 5px;
}

.bx {
    font-size: 32px;
}

.footer-headline {
    padding: 15px 0;
    margin-bottom: 30px;
    font-size: 1.5rem;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
    border-bottom: 1px solid rgb(26, 37, 67);
}

.copyrights {
    padding-top: 20px;
    text-align: center;
    font-size: 1.5rem;
}



/* --------------------------  ANIMÁCIÓK  --------------------------- */
@keyframes loadAnimation {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }

    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}

@keyframes beforeAnimation {
    0% {
        transform: translateX(-100%);
        width: 0%;
    }

    100% {
        transform: translateX(0%);
        width: 80%;
    }
}

@keyframes intro {
    from {
        filter: blur(30px);
        opacity: 0;
    }

    to {
        filter: blur(0px);
        opacity: 1;
    }
}

@media(min-width: 1400px) {
    .container {

        max-width: 100%;
    }
}


@media(max-width: 1400px) {
    .container {

        max-width: 100%;
    }
}

/* --------------------------  RESPONSIVE Design  1200px  --------------------------- */
@media (max-width: 1200px) {
    .belso {
        border-left: none;
        border-right: none;
    }

    .termekek-page h1,
    .termek-page h1 {
        letter-spacing: 3px;
        font-size: 60px;
    }

    .termek,
    .user {
        width: 48%;
        padding: 5px;
        margin: 15px auto;
    }
}


/* --------------------------  RESPONSIVE Design  960px  --------------------------- */
@media (max-width: 960px) {
    .landing-page {
        display: none;
    }

    .landing-page-mobil {
        display: flex;
    }

    .termekek-page h1,
    .termek-page h1 {
        letter-spacing: 3px;
        font-size: 55px;
    }

    .px960 {
        display: block;
    }
    
.px960none {
    display: none;
}

    .footer-col {
        width: 50%;
        padding: 0 15px;
    }


}

/* --------------------------  RESPONSIVE Design  768px  --------------------------- */
@media (max-width: 768px) {

    .ceg_logo img {
        width: 40%;
    }

    .header {
        display: none;
    }

    .landing-page h1,
    .landing-page-mobil h1,
    .termekek-page h1,
    .termek-page h1 {
        transform: translateX(0);
        letter-spacing: 3px;
        font-size: 50px;
    }


    .termekek-page,
    .termek-page {
        min-height: 20vh;
    }


    .eladar h2 {
        font-size: 3rem;
        padding: 10px;
    }

    .about {
        padding: 0 3%;
    }

    .about h3 {
        font-size: 2.5rem;
    }

    .about p {
        /* font-size: smaller; */
        padding: 20px 5px;
    }

    .button-nagy {
        width: 85%;
    }

    .button-nagy h5 {
        font-size: 2.5rem;
    }

    .footer-col {
        width: 100%;
        padding: 0 15px;
    }

    .termek,
    .user {
        width: 90%;
        padding: 5px;
        margin: 10px auto;
    }

    .termek-text {
        margin: 2px;
        font-size: 1.7rem;
    }


    .kiskep {
        height: 250px;

    }
}

/* --------------------------  RESPONSIVE Design  480px  --------------------------- */
@media (max-width: 480px) {

    .navigation {
        width: 100%;
        left: -100%;
        z-index: 1000;
    }

    .navigation.active {
        width: 100%;
        left: 0;
    }


    .toggle {
        z-index: 10001;
    }

    .main.active .toggle {
        position: fixed;
        right: 0;
        left: initial;
        color: var(--white);
        z-index: 10001;
    }


    .main.active .toggle ion-icon {
        border: 3px solid var(--white);
    }

    .landing-page h1,
    .landing-page-mobil h1,
    .termekek-page h1,
    .termek-page h1 {
        font-size: 42px;
        letter-spacing: normal;
    }

    .about {
        padding: 0 1%;
    }

    .about h3 {
        font-size: 2.5rem;
    }

    .about p {
        /* font-size: smaller; */
        padding: 20px 3px;
    }


    .blockquote {
        padding: 0 5px;

    }

    .media {
        padding: 0 10px;
    }

    .media-body {
        font-size: 1.2rem;
    }

    .button-nagy {
        width: 95%;
    }

    .button-nagy h5 {
        font-size: 2rem;
    }

}